## ros-indigo-abb 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-abb (1.2.1-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <shaun.edwards@gmail.com>  Mon, 27 Mar 2017 05:00:00 -0000

ros-indigo-abb (1.2.0-0trusty) trusty; urgency=high

  * Remove deprecated package abb_moveit_plugins
  * Contributors: Levi Armstrong

 -- Shaun Edwards <shaun.edwards@gmail.com>  Sat, 06 Jun 2015 05:00:00 -0000

ros-indigo-abb (1.1.9-0trusty) trusty; urgency=high

  * Remove dependencies from package.xml for removed deprecated packages
  * Removed deprecated package abb_moveit_plugins
  * Contributors: Levi Armstrong

 -- Shaun Edwards <shaun.edwards@gmail.com>  Tue, 07 Apr 2015 05:00:00 -0000

ros-indigo-abb (1.1.8-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <shaun.edwards@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-indigo-abb (1.1.7-0trusty) trusty; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Removed deprecated packages
    - abb_common
    - irb_2400_moveit_config
    - irb_6640_moveit_config
  * Contributors: Levi Armstrong

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 01 Apr 2015 05:00:00 -0000

ros-indigo-abb (1.1.6-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <shaun.edwards@gmail.com>  Tue, 17 Mar 2015 05:00:00 -0000

ros-indigo-abb (1.1.5-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <shaun.edwards@gmail.com>  Tue, 17 Mar 2015 05:00:00 -0000

ros-indigo-abb (1.1.4-0trusty) trusty; urgency=high

  * Merged release artifacts from hydro branch
  * meta: update description.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Sun, 14 Dec 2014 06:00:00 -0000

ros-indigo-abb (1.1.3-0trusty) trusty; urgency=high

  * Merged changes from hydro (release) branch.  Changes include only release artifacts
  * meta: add IRB 2400 & 6640 MoveIt configs and plugin pkgs.
  * meta: add new IRB support packages (2400, 5400 & 6600).
  * driver: move driver (Rapid and nodes) into separate package.
    Node sources, headers and launch files copied from abb_common.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Fri, 05 Sep 2014 05:00:00 -0000

ros-indigo-abb (1.1.2-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <shaun.edwards@gmail.com>  Sat, 07 Jun 2014 05:00:00 -0000

ros-indigo-abb (1.1.1-0trusty) trusty; urgency=high

  * Updated abb packages to Catkin
  * Fixed minor issues with MoveIt configurations (updates from groovy to hydro)
  * Removed arm navigation
  * added metapackage subdirectory
    git-svn-id: https://swri-ros-pkg.googlecode.com/svn/branches/catkin_migration@1411 076cdf4d-ed99-c8c1-5d01-9bc0d27e81bd
  * Contributors: Shaun Edwards, jrgnicho

 -- Shaun Edwards <shaun.edwards@gmail.com>  Tue, 27 May 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-abb
Section: misc
Priority: extra
Maintainer: Shaun Edwards <shaun.edwards@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/abb
Standards-Version: 3.9.2

Package: ros-indigo-abb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-abb-driver, ros-indigo-abb-irb2400-moveit-config, ros-indigo-abb-irb2400-moveit-plugins, ros-indigo-abb-irb2400-support, ros-indigo-abb-irb5400-support, ros-indigo-abb-irb6600-support, ros-indigo-abb-irb6640-moveit-config, ros-indigo-abb-irb6640-support, ros-indigo-abb-resources
Description: ROS-Industrial support for ABB manipulators (metapackage).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-abb//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
